#ifndef CONFIG_STORE_H
#define CONFIG_STORE_H

#include "Configuration.h"

void Config_ResetDefault();

#ifndef DISABLE_M503
void Config_PrintSettings();
#else
FORCE_INLINE void Config_PrintSettings() {}
#endif

#ifdef EEPROM_SETTINGS
void Config_StoreSettings();
void Config_RetrieveSettings();
#else
FORCE_INLINE void Config_StoreSettings() {}
//FORCE_INLINE void Config_RetrieveSettings() { Config_ResetDefault(); Config_PrintSettings(); }
FORCE_INLINE void Config_RetrieveSettings() { Config_ResetDefault(); }
#endif

void store_tool_config();
void print_tool_config();
void retrieve_tool_config();
void reset_all_config(); 
void reset_tool_config(short tool_number);

#endif//CONFIG_STORE_H
